package cn.com.poc.agent_application.entity;

import cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue.Tool;
import cn.com.poc.thirdparty.resource.demand.ai.entity.function.FunctionCallResult;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/1/22
 */
public class CheckPluginUseEntity {

    private List<Tool> deductionTools;

    private FunctionCallResult functionCallResult;


    public List<Tool> getDeductionTools() {
        return deductionTools;
    }

    public void setDeductionTools(List<Tool> deductionTools) {
        this.deductionTools = deductionTools;
    }

    public FunctionCallResult getFunctionCallResult() {
        return functionCallResult;
    }

    public void setFunctionCallResult(FunctionCallResult functionCallResult) {
        this.functionCallResult = functionCallResult;
    }
}
